Subject: bug#15270: closed (Re: bug#15270: 24.3; ruby-mode font-lock bug related to HERE docs)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 05 Sep 2013 13:07:04 +0000

Your bug report

#15270: 24.3; ruby-mode font-lock bug related to HERE docs

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
15270: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15270
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#15270: 24.3; ruby-mode font-lock bug related to HERE docs
From: Dmitry Gutov <[email-masked]>
To: Bozhidar Batsov <[email-masked]>
Cc: [email-masked]
Date: Thu, 05 Sep 2013 16:06:21 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 24.4

On 05.09.2013 14:48, Bozhidar Batsov wrote:
> I guess this is fixed in the trunk, but I think the highlighting of the
> first END in the heredoc should be corrected as well.

Ok, fixed for heredocs (gave BEGIN/END lower priority).

Subject: 24.3; ruby-mode font-lock bug related to HERE docs
From: Bozhidar Batsov <[email-masked]>
To: [email-masked]
Date: Thu, 5 Sep 2013 11:39:03 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Code like the following breaks font-locking logic of ruby-mode:

expected_source = <<-END.strip_indent
              each do |x|
                some_method
                other_method
              end
            END

The second END gets highlighted as a constant, instead of a string. I guess the two consecutive ends cause the problem.

Here's a screenshot - http://i42.tinypic.com/122jeap.jpg

In GNU Emacs 24.3.1 (x86_64-apple-darwin12.4.0, NS apple-appkit-1187.39)
 of 2013-08-12 on Bozhidars-MacBook-Pro.local
Windowing system distributor `Apple', version 10.3.1187
Configured using:
 `configure '--prefix=/usr/local/Cellar/emacs/24.3' '--without-dbus'
 '--enable-locallisppath=/usr/local/share/emacs/site-lisp'
 '--infodir=/usr/local/Cellar/emacs/24.3/share/info/emacs'
 '--without-gnutls' '--with-ns' '--disable-ns-self-contained' 'CC=cc''

-- 
Cheers,
Bozhidar